<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Sources of Revenue</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Estimate Date Revenues
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Estimate Date Revenues</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">
            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-success" th:if="${delete != null}">
                <h4>Delete Data Success!</h4>

                <p>Data Berhasil Dihapus.</p>
            </div>
            <div class="callout callout-danger" th:if="${deletefail != null}">
                <h4>Save Data Unsuccessful!</h4>

                <p>Data Tidak Bisa Dihapus karena sudah ada realisasi revanues.</p>
            </div>


            <div class="box">
                <form method="get">

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-12">
                                <h3 class="box-title">List of Estimate Date Revenues</h3>
                            </div>
<!--                            <div class="col-md-6" align="right">-->
<!--                                Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                            </div>-->
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-12">
                                <p th:text="${'Post : ' + rencanaPenerimaan.mataAnggaran.namaMataAnggaran}">Follow the steps to continue to payment.</p>
                                <p th:text="${'Description : ' + rencanaPenerimaan.keterangan}">Follow the steps to continue to payment.</p>
                            </div>
                            <!--                            <div class="col-md-6" align="right">-->
                            <!--                                Show entries <span sd:page-size-selector="javascript"></span>-->
                            <!--                            </div>-->
                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-2">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <a th:href="@{/setting/penerimaan/estimasi/baru(id = ${rencanaPenerimaan.id})}" name="tambah" type="button" class="btn btn-block btn-primary">+ Estimate Date Revenues</a>
                                </div>
                            </div>
                            <div class="col-md-4">
                               <a th:href="@{/setting/penerimaan}" class="btn btn-default">Back</a>
                            </div>

                            <div class="col-md-6" align="right">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </form>
                <!-- /.box-header -->


                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Date</th>
                            <th>Description</th>
                            <th>Qty</th>
                            <th></th>
                            <th>Price</th>
                            <th>Total</th>
                            <th>Options</th>
                            <th style="width: 40px"></th>
                        </tr>
                        <tr th:each="dataEstimasiPenerimaan,row : ${listEstimasiPenerimaan}">
                            <td th:text="${(row.index + 1)}">1.</td>
                            <td th:text="${#temporals.format(dataEstimasiPenerimaan.tanggal,'dd-MMM-yyyy')}">Pendapatan dari Beasiswa</td>
                            <td th:text="${dataEstimasiPenerimaan.deskripsi}">-</td>
                            <td th:text="${dataEstimasiPenerimaan.kuantitas}">-</td>
                            <td th:text="${dataEstimasiPenerimaan.satuan}">-</td>
                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataEstimasiPenerimaan.jumlahSatuan, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>
                            <td th:text="${'Rp. ' + #numbers.formatDecimal(dataEstimasiPenerimaan.total, 0, 'POINT', 2, 'COMMA')}" align="right">AKTIF</td>
                            <td>
                                <!--                                    <a th:href="@{/transaksi/penerimaan/view(id = ${dataPenerimaan.id})}" class="btn btn-primary btn-xs">Detail</a>-->
                                <a th:href="@{/setting/penerimaan/estimasi/edit(estimasiPenerimaan = ${dataEstimasiPenerimaan.id})}" class="btn btn-success btn-xs">Edit</a>
                            </td>
                            <td>

                                <form method="post" th:action="@{/setting/penerimaan/estimasi/hapus(estimasiPenerimaan=${dataEstimasiPenerimaan.id})}">
                                    <button type="submit" class="btn btn-danger btn-xs"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        Delete
                                    </button>
                                </form>
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Date</th>
                            <th>Description</th>
                            <th>Qty</th>
                            <th></th>
                            <th>Price</th>
                            <th>Total</th>
                            <th>Options</th>
                            <th style="width: 40px"></th>
                        </tr>


                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
<!--                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                    </ul>-->
                </div>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#datepicker').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>